Bug 9542 - Pre-download maps without MSWindows machine + Maps downloader
: Pre-download maps without MSWindows machine + Maps downloader
Status: RESOLVED WONTFIX
Product: Map
General
: 5.0:(20.2010.36-2)
: All Maemo
: Unspecified enhancement with 6 votes (vote)
: ---
Assigned To: unassigned
: map-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-03-14 22:32 UTC by Roman Polach
Modified: 2012-03-24 11:41 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Roman Polach (reporter) 2010-03-14 22:32:31 UTC
SOFTWARE VERSION:
3.2010.02-8

EXACT STEPS LEADING TO PROBLEM: 
-

EXPECTED OUTCOME:
Caching / pre-downloading maps data N900 should not be a Windows box needed.
Maps should be possible to download from N900 directly over WiFi internet
connection.

ACTUAL OUTCOME:
For caching / pre-downloading maps data user needs a desktop computer with
installed "Map downloader" software. Moreover a Linux OS installed on this
box is not sufficient, user must have MS Windows.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
not relevant
Comment 1 Andre Klapper maemo.org 2010-03-15 12:43:01 UTC
Confirming.
http://maemo.nokia.com/n900/tips/maps/ leading to
http://maps.nokia.com/ovi-services-and-apps/ovi-maps/downloads-and-services#map-loader-steps
needs Nokia PC Suite on Microsoft Windows.

Quim, do you know if there are plans to provide a Linux solution?
Comment 2 Jack Tanner 2010-03-15 16:52:55 UTC
Andre, if you're confirming this bug, shouldn't it be NEW?
Comment 3 Andre Klapper maemo.org 2010-11-12 18:40:25 UTC
Links is now
http://europe.nokia.com/support/download-software/nokia-ovi-suite/howto/get-new-maps-for-your-device/find-and-download-new-maps
which requires "Nokia Ovi Suite" (which replaces Nokia PC suite).

As a potential workaround (did not test it myself) see this thread:
http://discussions.nokia.co.uk/t5/PC-and-Mac-Software/AvMapsLoader-a-Maps-Loader-alternative-for-Windows-and-Linux/m-p/596496#M40186
Comment 4 Andre Klapper maemo.org 2012-03-24 11:41:28 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )